Bug 1260268 - def directory not packaged
def directory not packaged
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nodejs-ast-types (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 07:36 EDT by Piotr Popieluch
Modified: 2015-09-23 09:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.4.5-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-09-05 07:36:03 EDT
def directory is needed but not packaged, which gives following error when using:



Error: Cannot find module './def/core'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/usr/lib/node_modules/ast-types/main.js:5:1)


This occurs when rebuilding nodejs-superagent-proxy with tests enabled but is not related to superagent.

Please approve acl requests, will add the dir.
Comment 1 Piotr Popieluch 2015-09-05 08:15:37 EDT
Reproduce on fedora:

$ w3cjs

module.js:340
    throw err;
          ^
Error: Cannot find module './def/core'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/usr/lib/node_modules/ast-types/main.js:5:1)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Module.require (module.js:364:17)
Comment 2 Fedora Update System 2015-09-05 09:20:00 EDT
nodejs-ast-types-0.7.6-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15150
Comment 3 Fedora Update System 2015-09-05 09:21:29 EDT
nodejs-ast-types-0.4.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15151
Comment 4 Fedora Update System 2015-09-05 09:26:02 EDT
nodejs-ast-types-0.4.5-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15152
Comment 5 Fedora Update System 2015-09-05 09:31:51 EDT
nodejs-ast-types-0.4.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7947
Comment 6 Fedora Update System 2015-09-06 13:51:52 EDT
nodejs-ast-types-0.4.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-ast-types'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7947
Comment 7 Fedora Update System 2015-09-06 14:51:49 EDT
nodejs-ast-types-0.4.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-ast-types'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15151
Comment 8 Fedora Update System 2015-09-06 17:19:17 EDT
nodejs-ast-types-0.4.5-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-ast-types'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15152
Comment 9 Fedora Update System 2015-09-06 17:57:02 EDT
nodejs-ast-types-0.7.6-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-ast-types'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15150
Comment 10 Fedora Update System 2015-09-18 14:33:00 EDT
nodejs-ast-types-0.7.6-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-09-18 16:51:36 EDT
nodejs-ast-types-0.4.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-18 18:20:34 EDT
nodejs-ast-types-0.4.5-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-23 09:25:05 EDT
nodejs-ast-types-0.4.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.